{ lib, config, ... }:
let
  package = config.services.cliphist.package;
in
{
  config = lib.mkIf config.services.cliphist.enable {
    programs.rofi = {
      enable = true;
      extraConfig = {
        modes = [
          "clipboard:${lib.my.checkPath package "cliphist-rofi-img"}"
        ];
      };
    };
  };
}
